Subject: Assert messages in PIM-SM

From: "Sri Kopalle" <[email-masked]>
Date: Thu, 30 Nov 2000 15:07:54 -0800

Hi,
I have the following question on assert behaviour on a multi access lan.
Consider the scenario:

		Src
		|
           R1 (RP)
		|
	--------------
	R2		R3
	|		 |
	--------------
	       |
	--------------------------
	|		 |		|
	R4		R5		R6
	|		|		|
	Rcv1		Rcv2		Rcv3

R1- RP and also connected to Src, Receivers connected to R4, R5
R4 picks R2 as upstream and R5/R6 pick R3 as upstream to Src/RP
R2 is elected as the assert winner on multiaccess LAN for forwarding pkts
from Src.
When receivers(Rcv1 & Rcv2) connected to R4 and R5 leave, R2 prunes off the
interface. 
When a new receiver(Rcv3) comes up on R6 , we initiate a (*G) join to R3.
But R3 is the assert loser and an asserted vif has higher precendence over a
joined vif. How do packets get routed to Rcvr3?

Thanks,
- Srilakshmi

---

From: Bill Fenner <[email-masked]>
Date: Thu, 30 Nov 2000 16:38:35 -0800

>joined vif. How do packets get routed to Rcvr3? 

Referring to figure 11 in section 4.5.2 of draft-ietf-pim-v2-new-01.ps,
(or the table below it if you're looking at the .txt version), receiving a
(*,G) Join moves the router from "I am Assert Loser" state to "No Info"
state, allowing the interface to be placed back in the computed interface
list and then causing the Assert process to reoccur if necessary.

RFC2362 section 3.2.2/join/1/2 also says that when you get a (*,G) join
you immediately add the interface.

  Bill